Subject: bug#6053: cp, ls, and mv bug: unknown error (252)

From: Bob Proulx <[email-masked]>
Date: Mon, 7 Jun 2010 18:10:19 -0600

Pádraig Brady wrote:
> Callahan, Patrick M. wrote:
> > When using coreutils binaries either built from sources or installed
> > from the Porting And Archive Centre for HP-UX we see errors of the type
> > below when copying (cp), listing (ls), or moving (mv) files or
> > directories on Quantum's StorNext file system (cvfs).  When we build
> > "--without-acl" we do not see these errors.
> > 
> >> mv SEG_5_1* ~/release-input/dev-to-integration
> > mv: preserving permissions for
> > `/usr/people/archive/release-input/dev-to-integation/SEG_5_1.txt':
> > Unknown error (252)
> 
> It seems the file system is returning that which we're dutifully reporting.
> An strace or equivalent would be informative.
> Also the version of coreutils you're using would be good to note
> (8.5 was just released).

On HP-UX the tool 'tusc' (trace unix system call) is the equivalent
tool to 'strace'.  Using it you should be able to see the underlying
system calls and their status returns.  That would provide a valuable
clue as to where the problem lies.

You are using a combination of operating system and filesystem that
isn't very commonly seen.  Nor is it available to the developers
here.  You may very well have found a bug.  But is the bug in
coreutils mv or in the filesystem or in the kernel?  Any of those are
almost equally likely possibilites.  And not having such a system to
try it means that we will need to rely upon you to help.

Bob